Skip to main content
GET
/
v1
/
pages
/
{id}
Get page details
curl --request GET \
  --url https://api.example.com/v1/pages/{id} \
  --header 'Authorization: Bearer <token>'
{
  "contentRetrievedAt": "<string>",
  "contentScore": 123,
  "extractedContentHtml": "<string>",
  "focusKeyword": {
    "id": "<string>",
    "keyword": "<string>",
    "position": 123,
    "searchVolume": 123
  },
  "id": "<string>",
  "importedAt": "<string>",
  "lastPublishedAt": "<string>",
  "lastStatusCode": 123,
  "metaDescription": "<string>",
  "monthlyClicks": 123,
  "monthlyConversions": 123,
  "monthlyRevenue": 123,
  "monthlyTransactions": 123,
  "title": "<string>",
  "url": "<string>",
  "wordsCount": 123
}

Authorizations

Authorization
string
header
required

API key starting with sk_. Generate one in Settings > API Keys.

Path Parameters

id
string
required

Page ID.

Response

200 - application/json

Default Response

contentRetrievedAt
string | null
required

ISO 8601 date of the last successful content extraction.

contentScore
integer | null
required

This score out of 100 measures the SEO quality of your online content.

extractedContentHtml
string | null
required

Cleaned HTML of the main content extracted from the crawled page.

focusKeyword
object
required

Focus keyword linked to this page.

id
string
required

Unique identifier of the page.

importedAt
string
required

Import date of the page (ISO 8601).

lastPublishedAt
string | null
required

Date of the last publication (ISO 8601).

lastStatusCode
integer | null
required

HTTP status code of the latest crawl.

metaDescription
string | null
required

Meta description.

monthlyClicks
integer | null
required

Monthly Clicks generated by your Pages in the last 30 days for all Countries (Search Console).

monthlyConversions
integer | null
required

Monthly conversions generated by your pages over the last 30 days.

monthlyRevenue
number | null
required

Monthly revenue generated by your pages over the last 30 days.

monthlyTransactions
integer | null
required

Monthly transactions generated by your pages in the last 30 days for all countries.

title
string | null
required

HTML title.

url
string
required

Full URL.

urlCategory
enum<string> | null
required

URL classification computed by the backend (LLM-based).

Available options:
misc,
forum,
article,
news,
article_category,
ecommerce_products_listing,
ecommerce_product_page,
landing_page,
tool,
homepage,
local,
video
wordsCount
integer | null
required

Word count.